local addonName, namespace = ...

local lineAdded = false
local match = string.match
local strsplit = strsplit

local function FindTooltipString(itemId)
	local sZones = ""
	
	sZones = namespace.herbsName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.metalsName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.leatherName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.clothName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.enchName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.alchemyName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.inscriptionName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.elementalName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.fishName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.meatName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.gemName(itemId)
	if sZones ~= "" then
		return sZones
	end
	sZones = namespace.otherName(itemId)
	if sZones ~= "" then
		return sZones
	end
	return sZones
end

local function attachItemTooltip(self)
	local name, link = self:GetItem()
	if (link) and (name) then
		local id = string.match(link, "item:(%d*)")
		
		if (id) then
			print("id: ", id)
			print("link: ", link)
			local sZones = ""
	
			sZones = FindTooltipString(id)
		
			if sZones ~= "" then
				self:AddLine(" ")
			
				self:AddLine(sZones , _, _, _, 1)
			end
		end
	end
end

local function OnTooltipSetItem(self)
	if not lineAdded then
		
		local name, link = self:GetItem()
				
		if (link) and (name) then
			
			local itemId = string.match(link, "item:(%d*)")			
		
			--self:AddLine('Item ID: ' .. itemId)
		
			local sZones = ""
		
			sZones = FindTooltipString(itemId)
		
			if sZones ~= "" then
				self:AddLine(" ")
			
				self:AddLine(sZones , _, _, _, 1)
			end
		end
	end
end

local function onTooltipSetItemFunction(tooltip, tooltipData)
	if (tooltip == GameTooltip 
	or tooltip == ItemRefTooltip) then
		OnTooltipSetItem(tooltip)
	end
end

local function OnTooltipCleared(tooltip, ...)
   lineAdded = false
end

TooltipDataProcessor.AddTooltipPostCall(Enum.TooltipDataType.Item, onTooltipSetItemFunction)
