local addonName, namespace = ...

local function getClothZone(itemId)
	local sClothZone = ""
	
	--Dragon Isles
	if itemId == "193922" then --Wildercloth
		sClothZone = "Gathered from humanoids across the Dragon Isles. Rare."
	elseif itemId == "193050" then --Tattered Wildercloth
		sClothZone = "Gathered from humanoids across the Dragon Isles."
	elseif itemId == "193932" 	--Infurious Wildercloth Bolt 1
	or itemId == "193933"		--Infurious Wildercloth Bolt 2
	or itemId == "193934" then	--Infurious Wildercloth Bolt 3
		sClothZone = "Created by Tailors using:\n- 1 Awakened Ire\n- 3 Wildercloth"
	elseif itemId == "193926"	--Wildercloth Bolt 1
	or itemId == "193927"		--Wildercloth Bolt 2
	or itemId == "193928" then	--Wildercloth Bolt 3
		sClothZone = "Created by Tailors using:\n- 3 Wildercloth"
	elseif itemId == "193929"	--Vibrant Wildercloth Bolt 1
	or itemId == "193930"		--Vibrant Wildercloth Bolt 2
	or itemId == "193931" then	--Vibrant Wildercloth Bolt 3
		sClothZone = "Created by Tailors using:\n- 1 Vibrant Shard\n- 3 Wildercloth Bolt"
	elseif itemId == "193938"	--Azureweave Bolt 1
	or itemId == "193939"		--Azureweave Bolt 2
	or itemId == "193940" then	--Azureweave Bolt 3
		sClothZone = "Created by Tailors using:\n- 1 Awakened Air\n- 1 Awakened Order\n- 3 Vibrant Wildercloth Bolt\nRequires Draconic Needlework & Azureweave Tailoring specializations.\nThis craft has limited charges and a cooldown."
	elseif itemId == "193935"	--Chronocloth Bolt 1
	or itemId == "193936"		--Chronocloth Bolt 2
	or itemId == "193937" then	--Chronocloth Bolt 3
		sClothZone = "Created by Tailors using:\n- 1 Awakened Frost\n- 1 Awakened Order\n- 3 Vibrant Wildercloth Bolt\nRequires Draconic Needlework & Chronocloth Tailoring specializations.\nThis craft has limited charges and a cooldown."
	elseif itemId == "192095"	--Spool of Wilderthread 1
	or itemId == "192096"		--Spool of Wilderthread 2
	or itemId == "192097" then	--Spool of Wilderthread 3
		sClothZone = "Created by Tailors using 5 of any of these cloths:\n- Tattered Wildercloth\n- Decayed Wildercloth\n- Singed Wildercloth\n- Frostbitten Wildercloth\n- Wildercloth"
	elseif itemId == "194014" 	--Temporal Spellthread 1
	or itemId == "194015"		--Temporal Spellthread 2
	or itemId == "194016" then	--Temporal Spellthread 3
		sClothZone = "Created by Tailors using:\n- 1 Awakened Air\n- 1 Awakened Order\n- 1 Chronocloth Bolt"
	elseif itemId == "194011"	--Frozen Spellthread 1
	or itemId == "194012"		--Frozen Spellthread 2
	or itemId == "194013" then	--Frozen Spellthread 3
		sClothZone = "Created by Tailors using:\n- 1 Awakened Frost\n- 1 Awakened Order\n- 1 Azureweave Bolt"
	end
	
	--Shadowlands
	if itemId == "173204" then --Lightless Silk
		sClothZone = "Gathered from humanoids across The Shadowlands. Rare."
	elseif itemId == "172439" then --Enchanted Lightless Silk
		sClothZone = "Created by Enchanters (115) using:\n - 2 Lightless Silk\n - 1 Soul Dust"
	elseif itemId == "173202" then --Shrouded Cloth
		sClothZone = "Gathered from humanoids across The Shadowlands."
	elseif itemId == "187703" then --Silken Protofiber
		sClothZone = "Gathered from Annelids & Tarachnids in Zereth Mortis."
	--Battle for Azeroth
	elseif itemId == "159959" then --Nylon Thread
		sClothZone = "Sold by trade goods vendors."
		--These are listed as leather for some reason
	elseif itemId == "152577" then --Deep Sea Satin
		sClothZone = "Gathered from humanoids near the waters of Zandalar & Kul'Tiras."
	elseif itemId == "152576" then --Tidespray Linen
		sClothZone = "Gathered from humanoids across Zandalar & Kul'Tiras."
	elseif itemId == "158378" then --Embroidered Deep Sea Satin
		sClothZone = "Created by Tailors using:\n- 1 Deep Sea Satin\n- 1 Tidespray Linen\n- 5 Nylon Thread"
	elseif itemId == "167738" then --Gilded Seaweave
		sClothZone = "Gathered from humanoids across Nazjatar."

	--Legion
	elseif itemId == "127004" then --Imbued Silkweave
		sClothZone = "Crafted by Tailors using:\n- 3 Arkhana\n- 10 Shal'dorei Silk"
	elseif itemId == "124437" then --Shal'dorei Silk
		sClothZone = "Dropped by humanoids across The Broken Isles."
	elseif itemId == "127037" then --Runic Catgut
		sClothZone = "Sold by trade goods vendors in Dalaran."
	elseif itemId == "127681" then --Sharp Spritehorn
		sClothZone = "Sold by trade goods vendors in Dalaran."
	elseif itemId == "151567" then --Lightweave Cloth
		sClothZone = "Gathered across Argus"
	elseif itemId == "146710" then --Bolt of Shadowcloth
		sClothZone = "Reward from Armorcrafter's Commendation requires the Nether Disruptor on the Broken Shore."
	elseif itemId == "146711" then --Bolt of Starweave
		sClothZone = "Reward from Armorcrafter's Commendation requires the Nether Disruptor on the Broken Shore."
	--Warlords of Draenor
	elseif itemId == "111556" then --Hexweave Cloth
		sClothZone = "Crafted by Tailors using:\n- 20 Sumptuous Fur\n- 10 Gorgrond Flytrap"
	elseif itemId == "111557" then --Sumptuous Fur
		sClothZone = "Dropped by humanoids across Draenor."
	end
	
	return sClothZone
end


namespace.clothName = getClothZone