local addonName, namespace = ...

local function getInscriptionZone(itemId)
	local sInscripZone = ""
	--Dragon Isles
	if itemId == "198421"  		--Shimmering Pigment
	or itemId == "198422"  		--Shimmering Pigment
	or itemId == "198423" then 	--Shimmering Pigment
		sInscripZone = "Gathered by milling Hochenblume."
	elseif itemId == "198418"  	--Blazing Pigment
	or itemId == "198419"  		--Blazing Pigment
	or itemId == "198420" then 	--Blazing Pigment
		sInscripZone = "Gathered by milling Saxifrage."
	elseif itemId == "198412"  	--Serene Pigment
	or itemId == "198413"  		--Serene Pigment
	or itemId == "198414" then 	--Serene Pigment
		sInscripZone = "Gathered by milling Bubble Poppy."
	elseif itemId == "198415"  	--Flourishing Pigment
	or itemId == "198416" 		--Flourishing Pigment
	or itemId == "198417" then 	--Flourishing Pigment
		sInscripZone = "Gathered by milling Writhebark."
	elseif itemId == "194754"  	--Cosmic Ink
	or itemId == "194755" 		--
	or itemId == "194756" then 	--
		sInscripZone = "Created by Scribes using:\n- 1 Iridescent Water\n- 1 Awakened Frost\n- 1 Serene Ink\n- 2 Burnished Ink\n- 1 Runed Writhebark"
	elseif itemId == "194760"  	--Burnished Ink
	or itemId == "194761" 		--
	or itemId == "194855" then 	--
		sInscripZone = "Created by Scribes using:\n- 1 Iridescent Water\n- 2 Blazing Ink\n- 2 Flourishing Ink\n- 2 Serene Ink"
	elseif itemId == "194751"  	--Blazing Ink
	or itemId == "194752" 		--
	or itemId == "194846" then 	--
		sInscripZone = "Created by Scribes using:\n- 1 Iridescent Water\n- 2 Shimmering Pigment\n- 1 Blazing Pigment\n- 1 Draconic Vial"
	elseif itemId == "194850"  	--Flourishing Ink
	or itemId == "194758" 		--
	or itemId == "194852" then 	--
		sInscripZone = "Created by Scribes using:\n- 1 Iridescent Water\n- 2 Shimmering Pigment\n- 1 Flourishing Pigment\n- 1 Draconic Vial"
	elseif itemId == "194856"  	--Serene Ink
	or itemId == "194857" 		--
	or itemId == "194858" then 	--
		sInscripZone = "Created by Scribes using:\n- 1 Iridescent Water\n- 2 Shimmering Ink\n- 1 Serene Pigment\n- 1 Draconic Vial"
	elseif itemId == "194862"  	--Runed Writhebark
	or itemId == "194863" 		--
	or itemId == "194864" then 	--
		sInscripZone = "Created by Scribes using:\n- 5 Rousing Air\n- 5 Writhebark\n- 1 Flourishing Ink\n- 1 Chilled Rune"
	elseif itemId == "194859"  	--Chilled Rune
	or itemId == "194767" 		--
	or itemId == "194768" then 	--
		sInscripZone = "Created by Scribes using:\n- 5 Rousing Frost\n- 1 Serene Ink"
	end
	
	--Shadowlands
	if itemId == "175970" then --Tranquil Ink
		sInscripZone = "Crafted by Scribes using:\n - 1 Tranquil Pigment\n - 1 Aerated Water \n - 1 Rune Etched Vial"
	elseif itemId == "175788" then --Tranquil Pigment
		sInscripZone = "Gathered by milling all herbs from The Shadowlands."
	elseif itemId == "173059" then --Luminous Ink
		sInscripZone = "Crafted by Scribes using:\n - 1 Luminous Pigment\n - 1 Aerated Water \n - 1 Rune Etched Vial"
	elseif itemId == "173057" then --Luminous Pigment
		sInscripZone = "Gathered by milling all herbs from The Shadowlands."
	elseif itemId == "173058" then --Umbral Ink
		sInscripZone = "Crafted by Scribes using:\n - 1 Umbral Pigment\n - 1 Aerated Water \n - 1 Rune Etched Vial"
	elseif itemId == "173056" then --Umbral Pigment
		sInscripZone = "Gathered by milling all herbs from The Shadowlands."
	--Battle for Azeroth
	elseif itemId == "158187" then --Ultramarine Ink
		sInscripZone = "Crafted by Scribes using:\n1 Distilled Water\n1 Ultramarine Pigment"
	elseif itemId == "153635" then --Ultramarine Pigment
		sInscripZone = "Gathered by milling the herbs of Zandalar & Kul'Tiras."
	elseif itemId == "158188" then --Crimson Ink
		sInscripZone = "Crafted by Scribes using:\n1 Distilled Water\n1 Crimson Pigment"
	elseif itemId == "153636" then --Crimson Pigment
		sInscripZone = "Gathered by milling the herbs of Zandalar & Kul'Tiras."
	elseif itemId == "158189" then --Viridescent Ink
		sInscripZone = "Crafted by Scribes using:\n1 Distilled Water\n1 Acacia Powder\n1 Viridescent Pigment"
	elseif itemId == "153669" then --Viridescent Pigment
		sInscripZone = "Gathered rarely by milling the herbs of Zandalar & Kul'Tiras."
	elseif itemId == "168663" then --Maroon Ink
		sInscripZone = "Crafted by Scribes using:\n1 Distilled Water\n1 Maroon Pigment"
	elseif itemId == "168662" then --Maroon Pigment
		sInscripZone = "Gathered by milling Zin'anthid."
	--Legion
	elseif itemId == "129034" then --Sallow Pigment
		sInscripZone = "Gathered by milling the herbs of The Broken Isles."
	elseif itemId == "129032" then --Roseate Pigment
		sInscripZone = "Gathered by milling the herbs of The Broken Isles."
	end
	
	return sInscripZone
end


namespace.inscriptionName = getInscriptionZone