local addonName, namespace = ...

local function getGemZone(itemId)
	local sgemZone = ""
	
	--Dragonflight
	if itemId == "192837" --Queen's Ruby
	or itemId == "192838" --Queen's Ruby
	or itemId == "192839" --Queen's Ruby
	or itemId == "192840" --Mystic Sapphire
	or itemId == "192841" --Mystic Sapphire
	or itemId == "192842" --Mystic Sapphire
	or itemId == "192843" --Vibrant Emerald
	or itemId == "192844" --Vibrant Emerald
	or itemId == "192845" --Vibrant Emerald
	or itemId == "192846" --Sundered Onyx
	or itemId == "192847" --Sundered Onyx
	or itemId == "192848" --Sundered Onyx
	or itemId == "192849" --Eternity Amber
	or itemId == "192850" --Eternity Amber
	or itemId == "192851" then--Eternity Amber
		sgemZone = "Gathered from prospecting from the Dragon Isles..\nCan also be found by Miners with the\nIndustrialization specialization maxxed out."
	elseif itemId == "192852" --Alexstraszite
	or itemId == "192853" --Alexstraszite
	or itemId == "192855" --Alexstraszite
	or itemId == "192856" --Malygite
	or itemId == "192857" --Malygite
	or itemId == "192858" --Malygite
	or itemId == "192866" --Nozdorite
	or itemId == "192867" --Nozdorite
	or itemId == "192868" --Nozdorite
	or itemId == "192862" --Neltharite
	or itemId == "192863" --Neltharite
	or itemId == "192865" --Neltharite
	or itemId == "192859" --Ysemerald
	or itemId == "192860" --Ysemerald
	or itemId == "192861" then--Ysemerald
		sgemZone = "Gathered from prospecting ore from the Dragon Isles. Rare.\nCan also be found by Miners with the\nIndustrialization specialization maxxed out."
	elseif itemId == "192869" --Illimited Diamond
	or itemId == "192870" --Illimited Diamond
	or itemId == "192871" then--Illimited Diamond
		sgemZone = "Gathered from prospecting from the Dragon Isles.. Rare.\nCan also be found by Miners with the\nSurveying specialization maxxed out."
	elseif itemId == "192887" --Elemental Harmony
	or itemId == "193378"
	or itemId == "193379" then
		sgemZone = "Crafted by Jewelcrafters using:\n- 1 Alexstraszite\n- 1 Malygite\n- 1 Ysemerald\n- 1 Neltharite\n- 1 Nozdorite\n- 1 Primal Convergent"
	elseif itemId == "193368" --Silken Gem Dust
	or itemId == "193369"
	or itemId == "193370" then
		sgemZone = "Gathered by Jewelcrafters when prospecting ore from the Dragon Isles."
	elseif itemId == "192883" --Glossy Stone
	or itemId == "192884"
	or itemId == "192885" then
		sgemZone = "Crafted by Jewelcrafters using:\n- 4 Crumbled Stone\n- 2 Rousing Earth\n- 1 Eternity Amber"
	elseif itemId == "192876" --Frameless Lens
	or itemId == "192877"
	or itemId == "192878" then
		sgemZone = "Crafted by Jewelcrafters using:\n- 1 Rousing Earth\n- 3 Fractured Glass\n- 2 Silken Gemdust"
	elseif itemId == "192834" --Shimmering Clasp
	or itemId == "192835"
	or itemId == "192836" then
		sgemZone = "Crafted by Jewelcrafters using:\n- 1 Misshapen Filigree\n- 1 Mystic Sapphire"
	elseif itemId == "192894" --Blotting Sand
	or itemId == "192895"
	or itemId == "192896" then
		sgemZone = "Crafted by Jewelcrafters using:\n- 1 Rousing Fire\n- 1 Wildercloth\n- 1 Silken Gemdust"
	elseif itemId == "192897" --Pounce
	or itemId == "192898"
	or itemId == "192899" then
		sgemZone = "Crafted by Jewelcrafters using:\n- 2 Rousing Earth\n- 1 Wildercloth\n- 2 Silken Gemdust"
	elseif itemId == "200938" then --Empty Soul Cage
		sgemZone = "Crafted by Jewelcrafters using:\n- 3 Fractured Glass\n- 2 Rousing Air\n- 2 Rousing Earth\n- 2 Rousing Fire\n- 2 Rousing Frost"
	end
	
	--Shadowlands
	if itemId == "173108" --Oriblase
	or itemId == "173109" --Angerseye
	or itemId == "173110" then--Umbryl
		sgemZone = "Gathered from prospecting Shadowlands ore."
	elseif itemId == "173170" then --Essence of Rebirth
		sgemZone = "Gathered from prospecting Shadowlands ore.\nMost common in Phaedrum Ore."
	elseif itemId == "173171" then --Essence of Torment
		sgemZone = "Gathered from prospecting Shadowlands ore.\nMost common in Sinvyr Ore."
	elseif itemId == "173172" then --Essence of Servitude
		sgemZone = "Gathered from prospecting Shadowlands ore.\nMost common in Oxxein Ore."
	elseif itemId == "173173" then --Essence of Valor
		sgemZone = "Gathered from prospecting Shadowlands ore.\nMost common in Solenium Ore."
	elseif itemId == "173168" then --Laestrite Setting
		sgemZone = "Sold by Shadowlands Jewelcrafting vendors."
	--Battle for Azeroth
	elseif itemid == "168188" --Sage Agate
	or itemId == "168189" --Dark Opal
	or itemId == "168190" --Lava Lazuli
	or itemId == "168191" --Sea Currant
	or itemId == "168192" --Sand Spinel
	or itemId == "168193" --Azsharine
	or itemId == "168635" then --Leviathan's Eye
		sgemZone = "Gathered from prospecting:\n- Osmenite Ore"
	elseif itemId == "153705" --Kyanite
	or itemId == "153704" --Viridium
	or itemId == "153703" --Solstone
	or itemId == "153700" --Golden Beryl
	or itemId == "153702" --Kubline
	or itemId == "153701" --Rubelite
	or itemId == "154125" --Rotal Quartz
	or itemId == "154124" --Laribole
	or itemId == "154123" --Amerblaze
	or itemId == "154122" --Tidal Amethyst
	or itemId == "154121" --Scarlet Diamond
	or itemId == "154120" --Owlseye
	or itemId == "153706"	then --Kraken's Eye
		sgemZone = "Gathered from prospecting:\n- Monelite Ore\n- Storm Silver Ore\n- Platinum Ore"
	elseif itemId == "130173" --Deep Amber
	or itemId == "130174" --Azsunite
	or itemId == "130175" --Chaotic Spinel
	or itemId == "130176" --Skystone
	or itemId == "130177" --Queen's Opal
	--Rares
	or itemId == "130178" --Furystone
	or itemId == "130180" --Dawnlight
	or itemId == "130181" --Pandemonite
	or itemId == "130182" --Maelstrom Sapphire
	or itemId == "130183" --Shadowruby
	or itemId == "130179" then --Eye of Prophecy
		sgemZone = "Gathered from prospecting:\n- Leystone Ore\n- Felslate"
	--Epic
	elseif itemId == "151718" --Argulite
	or itemId == "151719" --Lightsphene
	or itemId == "151579" --Labradorite
	or itemId == "151722" --Florid Malachite
	or itemId == "151721" --Hesselian 
	or itemId == "151720" then --Chemirine
		sgemZone = "Gathered from prospecting:\n- Empyrium"
	end
	
	return sgemZone
end


namespace.gemName = getGemZone