local addonName, namespace = ...

local function getOtherZone(itemId)
	local sotherZone = ""
	
	--Dragonflight
	if itemId == "198195" --Arclight Capacitor
	or itemId == "198196"
	or itemId == "198197" then
		sotherZone = "Crafted by Engineers using:\n- 1 Awakened Order\n- 2 Shock-Spring Coil\n- 1 Greased-Up Gears\n- 2 Khaz'horite Ore"
	elseif itemId == "198198"  --Reinforced Machine Chassis
	or itemId == "198199"
	or itemId == "198200" then
		sotherZone = "Crafted by Engineers using:\n- 1 Awakened Earth\n- 4 Handful of Serevite Bolts\n- 1 Shock-Spring coil\n- 2 Greased-Up Gears"
	elseif itemId == "198201" --Assorted Safety Fuses
	or itemId == "198202"
	or itemId == "198203" then
		sotherZone = "Crafted by Engineers using:\n- 3 Wildercloth\n- 3 Handful of Serevite Bolts\n- 1 Shock-Spring Coil\n- 1 Greased-Up Gears"
	elseif itemId == "198189"  --Everburning Blasting Powder
	or itemId == "198190"
	or itemId == "198191" then
		sotherZone = "Crafted by Engineers using:\n- 2 Rousing Fire\n- 1 Rousing Earth\n- 1 Draconium Ore"
	elseif itemId == "198192"  --Greased-Up Gears
	or itemId == "198193"
	or itemId == "198194" then
		sotherZone = "Crafted by Engineers using:\n- 3 Rousing Fire\n- 2 Handful of Serevite Bolts\n- 4 Draconium Ore"
	elseif itemId == "198186"  --Shock-Spring Coil
	or itemId == "198187"
	or itemId == "198188" then
		sotherZone = "Crafted by Engineers using:\n- 2 Rousing Earth\n- 6 Handful of Serevite Bolts"
	elseif itemId == "198183"  --handful of Serevite Bolts
	or itemId == "198184"
	or itemId == "198185" then
		sotherZone = "Crafted by Engineers using:\n- 4 Serevite Ore"
	end
	
	--Shadowlands
	if itemId == "172058"  --Smuggled Azerothian Produce
	or itemId == "172059"  --Rich Grazer Milk
	or itemId == "172057"  --Inconceivably Aged Vinegar
	or itemId == "172056"  --Medley of Transplanar Spices
	or itemId == "178786"  --Lusterwheat Flour
	or itemId == "175111" then --Marrow Larva
		sotherZone = "Sold by Shadowlands Cooking suppliers."
	--Battle for Azeroth
	elseif itemId == "158186" then --Distilled Water
		sotherZone = "Sold by Inscription suppliers."
	elseif itemId == "39354" then --Light Parchment
		sotherZone = "Sold by Inscription suppliers."
	elseif itemId == "158205" then --Acacia Powder
		sotherZone = "Sold by Inscription suppliers."
	elseif itemId == "160398" --Choral Honey
	or itemId == "160399"  --Wild Flour
	or itemId == "160400" --Foosaka
	or itemId == "160709" --Fresh Potato
	or itemId == "160710" -- Wild Berries
	or itemId == "160712" then --Powdered Sugar
		sotherZone = "Sold by Battle for Azeroth Cooking suppliers."
	elseif itemId == "166846" then --Spare Parts
		sotherZone = "Gathered on Mechagon."
	end
	
	return sotherZone
end

namespace.otherName = getOtherZone